Loading...
Searching...
No Matches
Dune::QuadratureRules< ctype, dim > Class Template Reference
dune-geometry » Quadrature

A container for all quadrature rules of dimension dim. More...

`#include <dune/geometry/quadraturerules.hh>`

## Static Public Member Functions

static unsigned | maxOrder (const GeometryType &t, QuadratureType::Enum qt=QuadratureType::GaussLegendre)
| maximum quadrature order for given geometry type and quadrature type
static const QuadratureRule & | rule (const GeometryType &t, int p, QuadratureType::Enum qt=QuadratureType::GaussLegendre)
| select the appropriate QuadratureRule for GeometryType t and order p
static const QuadratureRule & | rule (const GeometryType::BasicType t, int p, QuadratureType::Enum qt=QuadratureType::GaussLegendre)
| select the appropriate QuadratureRule for GeometryType t and order p

## Detailed Description

template<typename ctype, int dim>
class Dune::QuadratureRules< ctype, dim >

A container for all quadrature rules of dimension dim.

## Member Function Documentation

## maxOrder()

template<typename ctype, int dim>

unsigned Dune::QuadratureRules< ctype, dim >::maxOrder | ( | const GeometryType & | t,
|  | QuadratureType::Enum | qt = QuadratureType::GaussLegendre )

inline static

maximum quadrature order for given geometry type and quadrature type

## rule() [1/2]

template<typename ctype, int dim>

const QuadratureRule & Dune::QuadratureRules< ctype, dim >::rule | ( | const GeometryType & | t,
|  | int | p,
|  | QuadratureType::Enum | qt = QuadratureType::GaussLegendre )

inline static

select the appropriate QuadratureRule for GeometryType t and order p

## rule() [2/2]

template<typename ctype, int dim>

const QuadratureRule & Dune::QuadratureRules< ctype, dim >::rule | ( | const GeometryType::BasicType | t,
|  | int | p,
|  | QuadratureType::Enum | qt = QuadratureType::GaussLegendre )

inline static

select the appropriate QuadratureRule for GeometryType t and order p

The documentation for this class was generated from the following file:

- quadraturerules.hh